<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>CADViewer JS Download Environment and Samples</title>
    <link rel="icon" href="http://cadviewerjs.com/logoJS.png">

    <!-- Bootstrap Core CSS -->
	<script src="../app/js/popper.js" type="text/javascript"></script>

    <link href="bootstrap.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="simple-sidebar.css" rel="stylesheet">

	<link href="style_03.css" rel="stylesheet" type="text/css" />

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

    <div id="wrapper">


        <!-- Sidebar -->
        <div id="sidebar-wrapper">


            <ul class="sidebar-nav">
        		<li class="sidebar-brand">
                    <a href="./index_cvjs_24_overview.html">
                        CADViewer JS Samples
                    </a>
                </li>
                <li>
                    <a href="#item_7">Install Notes - PHP, Tomcat, ASP</a>
				</li>
                <li>
                    <a href="#item_2">Samples - Generic</a>
                </li>
                <li>
                    <a href="#item_2B">Samples - Standalone/No Server</a>
                </li>
                <li>
                    <a href="#item_2B">Samples - External Server</a>
                </li>
                <li>
                    <a href="#item_2C">Samples - Standard Case/Redlines</a>
                </li>
                <li>
                    <a href="#item_2D">Samples - Insert Image Objects</a>
                </li>
                <li>
                    <a href="#item_2D">Samples - Compare Drawings</a>
                </li>
                <li>
                    <a href="#item_2E">Samples - Dynamic Highlight</a>
                </li>
                <li>
                    <a href="#item_2F">Samples - Various Functionality</a>
                </li>
                <li>
                    <a href="#item_2G">Samples - Dynamic Database Interaction</a>
                </li>
                <li>
                    <a href="#item_2I">Samples - PDF input</a>
                </li>
                <li>
                    <a href="#item_2H">Samples - Sharepoint</a>
                </li>
                <li>
                    <a href="#item_2J">Samples - Folder Tree</a>
                </li>
                <li>
                    <a href="#item_3A">Samples - QR Codes</a>
                </li>
                <li>
                    <a href="#item_3B">Samples - Space Objects</a>
                </li>
                <li>
                    <a href="#item_3C">Samples - Space Image Objects</a>
                </li>
                <li>
                    <a href="#item_3D">Samples - API Canvas</a>
                </li>
                <li>
                    <a href="#item_8">License Key</a>
                </li>
                <li>
                    <a href="http://www.cadviewer.com/cv-js_api/jsdoc/global.html">Full JS API Reference</a>
                </li>
                <li>
                    <a href="http://www.cadviewerjs.com">About</a>
                </li>
                <li>
                    <a href="http://www.tailormade.com/contact.htm">Contact</a>
                </li>
                <li>
                    <img src="./black.png" width="20" height="11" border="0">
                </li>
        		<li>
					<a href="http://www.cadviewer.com"><img src="http://www.cadviewer.com/cv-pro/cadviewer/cvlogo.jpg" width="180" height="45" border="0"></a>
        		</li>
            </ul>
        </div>
        <!-- /#sidebar-wrapper -->

        <!-- Page Content -->
        <div id="page-content-wrapper">
            <div class="container-fluid">

              <div class="row">
                    <div id="item_7" class="col-lg-12">
                        <h2>CADViewer JS Samples</h2>

                        <h3>Install Notes:</h3>

						
                       <br><p><h4>PHP - Windows/Linux:</h4>					
						
    					<p>The folder <strong><i>./cadviewer/html/</i></strong> in this CADViewer JS download contains  a set of samples to help you get going with CADViewer JS.

                        <p>High resolution print in CADViewer JS as well as file load/save modals, redlines save/load, images insert save/load and DWG/DWF/DGN on-the-fly conversion requires that PHP is installed on the server. <br>Use PHP version 5.6.30 or above.<br>The print object will open on a web separate page, therefore allow pop-up's from the launching site in your browser.</p>

                        <p>Edit configuration file <strong>CV-JS_config.php</strong> in folder ./cadviewer/php/ to point to your server structure. <br>
						Edit the main variables:<br>
							<i><b>$httpHost</b></i>= "http://localhost/cadviewer";  // URL to the location of home directory of CADViewer JS<br>
							<i><b>$home_dir</b></i>= "C:\\xampp\\htdocs\\cadviewer"; //  Home directory, the local path corresponding to the http host <br>
						ALL PATHS ARE SET UP BASED ON <i><b>$httpHost</b></i> and <i><b>$home_dir</b></i>   (Users can change this setting if an implementation needs to split up locations) <br>
						Please note the syntax of the variables in the file based on Linux or Windows server, change accordingly.
						</p>

                        <p>Each of the CADViewer JS html sample pages, of location and type <i><b>/cadviewer/html/CVJS_xxx_yy.html</b></i>, 
						has two variables ServerLocation and ServerUrl that similar to the php configuration file, defines the server location and url of the CADViewer JS installation. <br>
						<br>	
						To simplify settings, a script file <strong>./cadviewer/html/CV-JS_ServerSettings.js</strong> contains the <strong>ServerLocation</strong> and <strong>ServerUrl</strong> definition. The content is:					
						<br>
				
						<br>
							// Location of installation folders<br>
							//	var ServerLocation = "C:\\xampp\\tomcat\\webapps\\cadviewer\\"; 	// Tomcat, Windows<br>
							//	var ServerLocation = "/opt/tomcat/webapps/cadviewer/"; 				// Tomcat, Linux<br>
							//	var ServerLocation = "/var/www/htdocs/cadviewer";   				// Apache, Linux<br>
							var <i><b>ServerLocation</b></i> = "C:\\xampp\\htdocs\\cadviewer\\"; 	// Apache, Windows<br>
<br>
							// Location of installation Url<br>
							var <i><b>ServerUrl</b></i> = "http://localhost/cadviewer/";        	// Apache, Windows <br>
							//  var <i><b>ServerUrl</b></i> = "http://10.0.2.15/cadviewer/";        	// Apache, Linux<br>
							//	var ServerUrl = "http://localhost:8080/cadviewer/";   				// Tomcat, Windows Linux<br>
						<br>
						Please change these variables according to your CADViewer JS installation. <br>
						ALL PATHS TO REDLINE LOCATIONS, ETC. ARE SET UP BASED ON <i><b>ServerLocation</b></i> and <i><b>ServerUrl</b></i>   (Users can change this setting if an implementation needs to split up locations) <br>

						</p>

 						<p>If the user implementation is using sources from either different domains or different ports under the same domain, calling PHP may give a cross-domain error message.
						To set up the PHP files to allow multiple domains, edit the variable <i><b>$allowed_domains</b></i> to include all domains and ports from the user application. Download PHP files from: <a href=" http://cadviewerjs.com/downloads/servercontrols/php-crossDomain.zip">php-crossDomain.zip</a>, edit and overwrite the PHP files into ./php folder in this download.</a>.
						</p>
						<p>
						To load PDF files, Java needs to be installed on your server. Once Java is installed update the configuration file <strong>./php/CV-JS_config.php</strong> to point at your Java and folder settings, alternatively update the web.xml parameters if running Servlets under Tomcat.
 						</p>

						<p>
						To debug, in each of the samples in /cadviewer/html/ folder, locate the statement <i><b>cvjs_debugMode(false);</b></i> , set it to <i><b>cvjs_debugMode(true);</b></i>. You can now monitor the trace of the server/client flow from the browser developer console.
 						</p>

						<p>
						On Windows with XAMPP installed on C: ,the download can be unzipped and run under C\xampp\htdocs\ with no modification.
 						</p>
						
                        <p><strong>PHP - Linux:</strong> <br>
                        The converter AutoXchange ax2020_L64_xx in folder /cadviewer/converters/ax2020/linux needs full read write and executable rights, chmod 777.
                        <br> To provide php with the proper access rights so it can execute AutoXchange, do edit User and Group in Apache environment variables /ect/apache2/apache2.conf (or similar), to point to your designated user.
                        <br> The pdf creation scripts *.sh files in folder /converters/pdf_converter/ , needs full read write and executable rights, chmod 777.
                        <br> To run the php scripts to save image as thumbnails and to save as multipage pdf, the gd library needs to be installed under php: user@user:mypath$ sudo apt-get install php5-gd.
                        <br> To debug, use the apache and php log files, by default they can typically be found in /var/log/apache2/error.log.
                        <br> Php typically have permissions set to chmod 755. For foders /php/temp_print, /php/temp_thumbnails, /php/tcpdf/batchconvert/files and /pdf/data_host_connectors, that has content written into them please set full access rights chmod 777.
                        </p>

						
                        <p><h4>Tomcat/Servlet Version  - Windows/Linux:</h4>
						Please edit all CADViewer JS related <strong>param-name/param-value</strong> pairs in web.xml in cadviewer/WEB-INF to corresponding to your install paths.
						<br>Follow instructions above in PHP section to edit the paths in configuration file: <strong>./cadviewer/html/CV-JS_ServerSettings.js</strong>
						<br>The samples are set up for Tomcat running under Windows XAMPP with install folder C:\xampp\tomcat\webapps\cadviewer. Under Tomcat Linux, the setup install folder is: /opt/tomcat/webapps/cadviewer/
	               </p>
						
						<p><h4>ASP.NET - Windows:</h4>
						Unzip and install under Visual Studio.
						<br>Links to all samples in cadviwer/html are in <strong>Default.aspx</strong>. Run this page.
						<br>All ashx handlers for server-client communication are in /cadviewer/.
						<br>Open /cadviewer/Web.config, edit <strong>appSettings</strong> to point to your specific install settings.
						<br>Edit /cadviewer/html/CV-JS_ServerSettings.js to point to your install location and url.
						<br>Open /cadviewer/Web.config, ensure under <strong>system.web</strong> that: pages validateRequest="false" . 
	               </p>
						





						   </div>
						</div>
						<div class="row">
							<div id="item_2" class="col-lg-12">



                        <h3>Generic Samples</h3>
							<h5>The three Generic Samples links below points to the CADViewer JS Server and is not part of the download samples.</h5>
							<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="0" id="mainTable">
							<tr style="background-color:rgb(255,255,255)" height="100px" >
								<td>
									<img  src="./html/index_images/5x5.png"  width="5" height="5" />
								</td>
								<td>
								<p><span>View a sample <a href="http://cadviewerjs.com/CV-JS_2_3_4/samples/CVJS_svgz_31.html">SVGZ </a> file with classic icon skin</span> </p>

									<a href="http://cadviewerjs.com/CV-JS_2_3_4/samples/CVJS_svgz_31.html"><img src="./html/index_images/cvjs_drawing_03.png" width="160" height="160" alt="Tailor Made logo" /></a>
								</td>
								<td>
									<img  src="./html/index_images/5x5.png" width="5" height="5" />
								</td>
								<td>
									  <p><span>Open a sample <a href="http://cadviewerjs.com/CV-JS_2_3_4/samples/CVJS_fileloader_red_31.html">Redlining</a> and <a href="http://cadviewerjs.com/CV-JS_2_3_4/samples/CVJS_fileloader_red_31.html">Markup</a> file.</span></p>
									<a href="http://cadviewerjs.com/CV-JS_2_3_4/samples/CVJS_fileloader_red_31.html"><img src="./html/index_images/cvjs_drawing_05.png" width="160" height="160" alt="Tailor Made logo" /></a>
								</td>
								<td>
										<img  src="./html/index_images/5x5.png"  width="5" height="5" />
								</td>
								<td>
									  <p><span>Test <a href="http://cadviewerjs.com/CV-JS_2_3_4/samples/CVJS_png_31.html">PNG</a> bitmap viewing with classic icon skin.</span> </p>
									<a href="http://cadviewerjs.com/CV-JS_2_3_4/samples/CVJS_png_31.html"><img src="./html/index_images/cvjs_drawing_04.png" width="160" height="160" alt="Tailor Made logo" /></a>

								</td>
								<td>
									<img  src="./html/index_images/5x5.png" width="5" height="5" />
								</td>

							</tr>
							</table>


<br>
<br>
							</div>
						</div>
						<div class="row">
							<div id="item_2B" class="col-lg-12">


							<h3>General Samples</h4>
							<h5>All the following samples are as part of this download and the source html files can be found in the ./html/ folder.</h5>

							<br>
							<h4>Samples which can be run standalone - no server -</h4>

			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="0" id="mainTable">
			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="40%" style="vertical-align:top">
				<p><span><strong>1) Pre-converted drawing: </strong> Loading and display of CAD drawing pre-converted with AutoXchange. <br>See file: <strong><a href="./html/CVJS_viewing_only_410.html">CVJS_viewing_only_410.html</a></strong></span> </p>

					<a href="./html/CVJS_viewing_only_410.html"><img src="./html/index_images/cvjs_view_07.png" width="334" height="206" alt="Tailor Made logo" /></a>
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="40%" style="vertical-align:top">
					  <p><span><strong>2) External Server: </strong>  Loading and display of DWG drawing. Connects with an external server for on-the-fly conversion of CAD file.<br> See file: <strong><a href="./html/CVJS_viewing_serverload_410.html">CVJS_viewing_serverload_410.html.</strong></span></p>
					<a href="./html/CVJS_viewing_serverload_410.html"><img src="./html/index_images/cvjs_serverload_06.png" width="285" height="190" alt="Tailor Made logo" /></a>
				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
<br>
<br>



			<h4>Samples which requires server (localhost, 127.0.0.1 or Url) with php and AutoXchange:</h4>

			<h5>Follow instructions in <a href="#item_7">Install Notes</a> above to edit settings in /cadviewer/php/CV-JS_config.php and /cadviewer/html/CV-JS_ServerSettings.js.
			</h5>

						   </div>
						</div>
						<div class="row">
							<div id="item_2C" class="col-lg-12">


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="1" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>File Load and Redlines Handling</h4>
				</td>
			</tr>


			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
				<p><span><strong>3) File-Load: </strong> CADViewer JS is set up with interactive modals for file-loading and redlines. Links with AutoXchange for own server on-the-fly conversion control of CAD drawings. 
				<br>See file: <strong><a href="./html/CVJS_fileloader_410.html">CVJS_fileloader_410.html.</strong></a>
				<br>Drawing via Url: <strong><a href="./html/CVJS_fileloader_410.html?drawing_name=../content/drawings/dwg/City_base_map.dwg">CVJS_fileloader_410.html?drawing_name=../my.dwg</strong></a>
				
				</span> </p>

					<a href="./html/CVJS_fileloader_410.html"><img src="./html/index_images/cvjs_file_loader_09.png" width="383" height="275" alt="Tailor Made logo" /></a>
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
					  <p><span><strong>4) Redlines: </strong> Redline control icon disk displayed at load. Links with AutoXchange for own server on-the-fly conversion control of CAD drawings. <br>See file: <strong><a href="./html/CVJS_fileloader_red_410.html">CVJS_fileloader_red_410.html.</strong></a></span></p>
					<a href="./html/CVJS_fileloader_red_410.html"><img src="./html/index_images/cvjs_file_loader_red_10.png" width="382" height="310" alt="Tailor Made logo" /></a>
				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>

				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="10" height="10" />
				</td>
			</tr>


			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
					  <p><span><strong>5) Redlines Overlay: </strong> Multiple overlay load of redlines are enabled. Links with AutoXchange for own server on-the-fly conversion control of CAD drawings and is set up for interactive modals for file-loading and redlines. <br>See file: <strong><a href="./html/CVJS_fileloader_red_overlay_410.html">CVJS_fileloader_red_overlay_410.html.</strong></a></span></p>
					<a href="./html/CVJS_fileloader_red_overlay_410.html"><img src="./html/index_images/cvjs_red_overlay_11.png" width="398" height="269" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
				<p><span><strong>6) Embedded Redlines Control: </strong> Sample for embedding CADViewer JS in an encapsulating application. Redline handling of features such as locked users, hidden users, etc. are all Javascript API controlled. File and redline load/save are all done through API calls. See file: <strong><a href="./html/CVJS_redline_api_410.html">CVJS_redline_api_410.html.</strong></a> </span> </p>

					<a href="./html/CVJS_redline_api_410.html"><img src="./html/index_images/cvjs_red_api_12.png" width="322" height="250" alt="Tailor Made logo" /></a>
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>

			</tr>


			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="10" height="10" />
				</td>
			</tr>

			</table>
						   </div>
						</div>
						<div class="row">
							<div id="item_2D" class="col-lg-12">


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="1" id="mainTable">


			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Insert Image Objects and Compare Drawings</h4>
				</td>
			</tr>

			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
					  <p><span><strong>7) Insert Image Objects: </strong> Sample with image handling and object count menu page activated (icon menu page three). Images can be externally loaded and added to a location on the drawing. See file: <strong><a href="./html/CVJS_insert_image_410.html">CVJS_insert_image_410.html.</strong></a> </span></p>
					<a href="./html/CVJS_insert_image_410.html"><img src="./html/index_images/cvjs_insert_image_13a.png" width="499" height="300" alt="Tailor Made logo" /></a>
				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="40%" style="vertical-align:top">
					  <p><span><strong>8) Compare Drawings: </strong> Sample with compare drawings menu page activated (icon menu page three). Two drawings are loaded and overlaid to expose differencies. See file: <strong><a href="./html/CVJS_compare_drawings_410.html">CVJS_compare_drawings_410.html.</strong></a> </span></p>
					<a href="./html/CVJS_compare_drawings_410.html"><img src="./html/index_images/cvjs_compare_14.png" width="531" height="290" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>


			</tr>



			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="10" height="10" />
				</td>
			</tr>


			</table>
						   </div>
						</div>
						<div class="row">
							<div id="item_2E" class="col-lg-12">


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="1" id="mainTable">




			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Dynamic Highlight API</h4>
				</td>
			</tr>

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<p>For a more indept description on creating the dynamic hotspots on drawings, as used in this examples, see document: <strong><a href="http://cadviewerjs.com/CADViewer JS-AutoXchange - Generating Automated Hotspots.pdf">CADViewer JS-AutoXchange - Generating Automated Hotspots.pdf</a></strong></p>
				</td>
			</tr>



			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
					  <p><span><strong>9) Dynamic Highlight: </strong> Sample illustrating the dynamic highlight API for coloring and labelling objects in a drawing. Sample also illustrates thumbnail generator and PDF generation of screen image with dynamic highlight (for reporting). See file: <strong><a href="./html/CVJS_loaddynamic_highlight_410.html">CVJS_loaddynamic_highlight_410.html.</strong></a>  </span></p>
					<a href="./html/CVJS_loaddynamic_highlight_410.html"><img src="./html/index_images/cvjs_highlight_15.png" width="499" height="311" alt="Tailor Made logo" /></a>
				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>


			</tr>




			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="10" height="10" />
				</td>
			</tr>


			</table>
						   </div>
						</div>
						<div class="row">
							<div id="item_2F" class="col-lg-12">


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="1" id="mainTable">



			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Various Functionality</h4>
				</td>
			</tr>


			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
				<p><span><strong>10) Batch Conversion to PDF for Print: </strong> Minimized version of CADViewer JS is used to batch convert a set of drawings to a multipage PDF. See file: <strong><a href="./html/CVJS_batchprint_to_pdf_410.html">CVJS_batchprint_to_pdf_410.html.</strong></a> </span> </p>

					<a href="./html/CVJS_batchprint_to_pdf_410.html"><img src="./html/index_images/cvjs_batch_16.png" width="423" height="254" alt="Tailor Made logo" /></a>
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="25%" style="vertical-align:top">
					  <p><span><strong>11) Add Click Handlers to SVG:</strong> Handlers are added to SVG file so group of objects (text) responds with highlight to mouse over, mouse click, etc. Finds the layer the object is on. See file: <strong><a href="./html/CVJS_svg_clickhandler_410.html">CVJS_svg_clickhandler_410.html.</strong></a></span></p>
					<a href="./html/CVJS_svg_clickhandler_410.html"><img src="./html/index_images/cvjs_svgclick_17.png" width="382" height="214" alt="Tailor Made logo" /></a>
				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="10" height="10" />
				</td>
			</tr>




			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
					  <p><span><strong>12) Handle Hyperlinks in SVG: </strong> A Click handler is added to highlight and catch Hyperlinks (Original drawing from DWF). See file: <strong><a href="./html/CVJS_svg_xlink_hyperlinks_410.html">CVJS_svg_xlink_hyperlinks_410.html.</a></strong></span></p>
					<a href="./html/CVJS_svg_xlink_hyperlinks_410.html"><img src="./html/index_images/cvjs_svghyperlink_20.png" width="325" height="253" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
					  <p><span><strong>13) Build a page change structure from 3rd party SVG tool: </strong> Multiple SVG files are indexed for page browsing. See file: <strong><a href="./html/CVJS_svg_multipage_410.html">CVJS_svg_multipage_410.html.</a></strong></span></p>
					<a href="./html/CVJS_svg_multipage_410.html"><img src="./html/index_images/cvjs_svgmultipage_18.png" width="272" height="256" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="10" height="10" />
				</td>
			</tr>

			
			
			
			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
					  <p><span><strong>14) Create Legends based on Hyperlinks: </strong> Sample with Multiple Viewer Instances on same page where polygons and blocks are associated with their AutoCAD Handle as ID for Dynamic Highlight and Text Insertion. API Method for creating Legends. See file: <strong><a href="./html/CVJS_multidiv_legends_blocks_410.html">CVJS_multidiv_legends_blocks_410.html.</a></strong></span></p>
					<a href="./html/CVJS_multidiv_legends_blocks_410.html"><img src="./html/index_images/cvjs_legends_21.png" width="424" height="276" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="30%" style="vertical-align:top">
					  <p><span><strong>15) Custom File Menu: </strong>Set up configuration file to control the look and feel of icon menu. See file: <strong><a href="./html/CVJS_fileloader_custom_menu_410.html">CVJS_fileloader_custom_menu_410.html.</a></strong></span></p>
					<a href="./html/CVJS_fileloader_custom_menu_410.html"><img src="./html/index_images/cvjs_custom_menu_410_01.png" width="389" height="267" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
			<td width="10%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
	
				
			
			</table>


						   </div>
						</div>
						<div class="row">
							<div id="item_2G" class="col-lg-12">




							<br>
							<h4>Sample which requires server with php and MySQL</h4>
			<h5>Follow instructions in <a href="#item_7">Install Notes</a> above to edit settings in /cadviewer/php/CV-JS_config.php and /cadviewer/html/CV-JS_ServerSettings.js. Install database <i>./cadviewer/databases/vizquery_public_demo.sql</i> prior to running this sample.</h5>


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="0" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Dynamic Interaction between drawing and Database</h4>
				</td>
			</tr>
			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<p>For a more indept description on creating the dynamic hotspots on drawings, as used in this examples, see document: <strong><a href="http://cadviewerjs.com/CADViewer JS-AutoXchange - Generating Automated Hotspots.pdf">CADViewer JS-AutoXchange - Generating Automated Hotspots.pdf</a></strong></p>
				</td>
			</tr>


			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="50%" style="vertical-align:top">
				<p><span><strong>16) Visual Query: </strong> AngularJS and PHP are used to dynamically load content from a MySQL database for two-way interaction with content in drawing. See file: <strong><a href="./html/CVJS_visual_query_410.html">CVJS_visual_query_410.html.</strong></a> </strong></span> </p>

					<a href="./html/CVJS_visual_query_410.html"><img src="./html/index_images/cvjs_vq_19.png" width="603" height="284" alt="Tailor Made logo" /></a>
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
<br>
<br>


						   </div>
						</div>
						<div class="row">
							<div id="item_2I" class="col-lg-12">


							<br>
							<h4>Sample which requires server with php and Java</h4>
			<h5>Follow instructions in <a href="#item_7">Install Notes</a> above to edit settings in /cadviewer/php/CV-JS_config.php and /cadviewer/html/CV-JS_ServerSettings.js.</h5>


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="0" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Dynamic load of multipage PDF</h4>
				</td>
			</tr>


			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="50%" style="vertical-align:top">
				<p><span><strong>17) PDF:</strong> Loading and display of multipage PDF document using on-the-fly conversion. See file: <strong><a href="./html/CVJS_pdf_410.html">CVJS_pdf_410.html.</a> </strong></span> </p>

					<a href="./html/CVJS_pdf_410.html"><img src="./html/index_images/cvjs_pdf_20b.png" width="560" height="377" alt="Tailor Made logo" /></a>
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
<br>
<br>

                    </div>
                </div>

						<div class="row">
							<div id="item_2H" class="col-lg-12">




							<br>
							<h4>Sample which requires server with php and integrates with external Sharepoint server</h4>
			<h5>Follow instructions in <a href="#item_7">Install Notes</a> above to edit settings in /cadviewer/php/CV-JS_config.php and /cadviewer/html/CV-JS_ServerSettings.js.</h5>


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="0" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Configuration of PHP REST interface for connecting to SharePoint server</h4>
				</td>
			</tr>
			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<p>After CV-JS integration above, follow instructions in this document to download php rest interface and configure access to Sharepoint server: <strong><a href="http://cadviewerjs.com/CADViewerJS-SharePoint_configuration.pdf">CADViewerJS - SharePoint configuration.pdf</a></strong></p>
			</tr>


			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="50%" style="vertical-align:top">
				<p><span><strong>18) CADViewer JS SharePoint/MicroSoft 365 Integration: </strong> Seamless CAD access point to Sharepoint server. Builds navigational file tree over Sharepoint server folder content. Among others, allows sharing of redlined content via e-mail. Implements download and upload of redlines as well as translation to PDF of redline overlays.<br> <strong><a href="http://www.tailormade.com/contact.htm">Contact</strong></a> </strong> us for the implementation sample and additional information.</span></p>

					<a href="javascript:alert('Please contact us at internationalsales@tailormade.com or developer@tailormade.com for the Sharepoint implementation sample and additional information.')";><img src="./html/index_images/cvjs_sharepoint_21b.png" width="931" height="503" alt="Tailor Made logo" /></a>
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
<br>
<br>

						   </div>
						</div>

						<div class="row">
							<div id="item_2J" class="col-lg-12">




							<br>
							<h4>Sample which requires server with php and Java</h4>
			<h5>Follow instructions in <a href="#item_7">Install Notes</a> above to edit settings in /cadviewer/php/CV-JS_config.php and /cadviewer/html/CV-JS_ServerSettings.js.</h5>


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="0" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Browse through server file content as a Folder Tree</h4>
				</td>
			</tr>
		
		
			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="50%" style="vertical-align:top">
				<p><span><strong>19) Folder Tree: </strong>Builds navigational file tree over server folder content. Folder is set through URL parameter file_location. See File: <strong><a href="./html/CVJS_foldertree_410.php?file_location=c:/xampp/htdocs/cadviewer/content">CVJS_foldertree_410.php?file_location=c:/xampp/htdocs/cadviewer/content</></strong></span></p>
	
				<a href="./html/CVJS_foldertree_410.php?file_location=c:/xampp/htdocs/cadviewer/content"><img src="./html/index_images/cvjs_foldertree_22.png" width="780" height="385" alt="Tailor Made logo" /></a>
	
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="600" height="200" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
<br>
<br>
						   </div>
						</div>




<!--            NEW    QR codes   -->
						<div class="row">
							<div id="item_3A" class="col-lg-12">


							<br>
							<h4>Sample which requires server with PHP/Tomcat/ASP.NET</h4>
			<h5>Follow instructions in <a href="#item_7">Install Notes</a> above to edit settings in /cadviewer/php/CV-JS_config.php and /cadviewer/html/CV-JS_ServerSettings.js.</h5>


			<table width="100%" height="100%" border="0" cellspacing="0" border-spacing="0" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Merge OR Codes into drawings</h4>
				</td>
			</tr>
		
		
			<tr style="background-color:rgb(255,255,255)" height="100px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="50%" style="vertical-align:top">
				<p><span><strong>20) QR Codes: </strong>Builds navigational file tree over server folder content. Folder is set through URL parameter file_location. See File: <strong><a href="./html/CVJS_QR_410.html">CVJS_QR_410.html</></strong></span></p>
	
				<a href="./html/CVJS_QR_410.html"><img src="./html/index_images/cvjs_QR_410_01.png" width="687" height="338" alt="Tailor Made logo" /></a>
	
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="600" height="200" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
<br>
<br>
						   </div>
						</div>

						
						
<!--            NEW    Space Objects    -->
						<div class="row">
							<div id="item_3B" class="col-lg-12">

							<br>
							<h4>Sample which requires server with PHP/Tomcat/ASP.NET</h4>
			<h5>Follow instructions in <a href="#item_7">Install Notes</a> above to edit settings in /cadviewer/php/CV-JS_config.php and /cadviewer/html/CV-JS_ServerSettings.js.</h5>


			<table width="100%" height="400px" border="0" cellspacing="0" border-spacing="0" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Create Space Objects</h4>
				</td>
			</tr>
		
		
			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="50%" style="vertical-align:top">
				<p><span><strong>21) Space Objects: </strong>:Create the hotspots using the interface. Saved Space objects are placed in folder defined by cvjs_setSpaceObjectsAbsolutePath() in the file: space_FileName.js. See File: <strong><a href="./html/CVJS_create_space_objects_410.html">CVJS_create_space_objects_410.html</></strong></span></p>
	
				<a href="./html/CVJS_create_space_objects_410.html"><img src="./html/index_images/cvjs_SpaceObjects_410_01.png" width="639" height="286" alt="Tailor Made logo" /></a>
	
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="600" height="200" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
			
						</div>
						</div>

						

<!--            NEW    Image Space Objects    -->
						<div class="row">
							<div id="item_3C" class="col-lg-12">

							<br>
							<h4>Sample which requires server with PHP/Tomcat/ASP.NET</h4>

			<table width="100%" height="400px" border="0" cellspacing="0" border-spacing="0" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>Create Image Space Objects (Sensors)</h4>
				</td>
			</tr>
		
		
			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="50%" style="vertical-align:top">
				<p><span><strong>22) Image Space Objects (Sensors): </strong>:Create the image hotspots using the interface. Download drawing with objects and reuse in use-case to highlight objects.  </></strong></span></p>
	
				<a href="./html/CVJS_create_image_space_objects_410.html"><img src="./html/index_images/cvjs_SpaceImageObjects_410_01.png" width="600" height="306" alt="Tailor Made logo" /></a>
	
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="600" height="200" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
			
						</div>
						</div>

						

						
<!--            NEW    Api Canvas   -->
						<div class="row">
							<div id="item_3D" class="col-lg-12">

							<br>
							<h4>Sample which requires server with PHP/Tomcat/ASP.NET</h4>

			<table width="100%" height="400px" border="0" cellspacing="0" border-spacing="0" id="mainTable">

			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td>
				<h4>API Canvas</h4>
				</td>
			</tr>
		
		
			<tr style="background-color:rgb(255,255,255)" height="10px" >
				<td>
					<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="50%" style="vertical-align:top">
				<p><span><strong>23) API Canvas: </strong>: All interactive icon commands in CADViewer JS are exposed through Java Script API calls.  </></strong></span></p>
	
				<a href="./html/CVJS_API_canvas_410.html"><img src="./html/index_images/cvjs_API_canvas_410_01.png" width="635" height="313" alt="Tailor Made logo" /></a>
	
				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="200" height="190" alt="Tailor Made logo" /></a>

				</td>
				<td>
						<img  src="./html/index_images/5x5.png"  width="5" height="5" />
				</td>
				<td width="20%">
					  <p><span></span> </p>
					<a href="http://cadviewerjs.com"><img src="./html/index_images/cvjs_blank_08.png" width="600" height="200" alt="Tailor Made logo" /></a>

				</td>
				<td>
					<img  src="./html/index_images/5x5.png" width="5" height="5" />
				</td>

			</tr>
			</table>
			
						</div>
						</div>

						
						

					
						

                <div class="row">
                    <div id="item_8" class="col-lg-12">
                        <h1>License Keys</h1>
						<br>
                     <h2>License Key - CADViewer JS</h2>
                        <p>CADViewer JS goes from trial to release mode by adding a license key <strong>cvlicense.js</strong> into a directory of choice.</p>
						<br>

                        <h4>License key folder</h4>
                        <p>Set the license key folder as part of the declaration of CADViewer JS</p>

<pre class="prettyprint notranslate lang-html">

		cvjs_setLicenseKeyPath("../app/js/");
</pre>

						<br>
						<br>
                     <h2>License Key - AutoXchange</h2>
						<br>
						<br>
                        <p>AutoXchange goes from trial to release mode by adding a license key <strong>axlic.key</strong> into a directory of choice.</p>
						<br>

                        <h4>License key folder</h4>
                        <p>Set the license key location as part of the initalization in the php file <strong>CV-JS_config.php</strong> in the <strong>AutoXchange</strong> download.</p>

<pre class="prettyprint notranslate lang-html">
//  Path to the location of the license key axlic.key file
	$licenseLocation = "/home/cadviewer/tms-restful-api/converters";
</pre>





						<p>To learn more about licensing, please contact us at: <a href="http://www.tailormade.com/contact.htm">Tailor Made Software</a> </p>

						<br>
						<br>
						<br>
						<br>
						<br>
						<br>
						<br>
						<br>
						<br>
						<br>
						<br>

                    </div>
                </div>

				
				
				
            </div>
        </div>
        <!-- /#page-content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="../app/js/jquery-2.2.3.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="../app/js/bootstrap.min.js"></script>

    <!-- Menu Toggle Script -->
    <script>
    $("#menu-toggle").click(function(e) {
        e.preventDefault();
        $("#wrapper").toggleClass("toggled");
    });
    </script>

</body>

</html>
